Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class RichPointerTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.RichPointerTypeImpl

All Implemented Interfaces:
  RichPointerType

    public class RichPointerTypeImpl

extends java.lang.Object
implements RichPointerType

Nested Class Summary
`static class` | `RichPointerTypeImpl.PImpl`
`static class` | `RichPointerTypeImpl.PoemImpl`
`static class` | `RichPointerTypeImpl.QuotationImpl`
`static class` | `RichPointerTypeImpl.TableImpl`
`class` | `RichPointerTypeImpl.Unmarshaller`

Nested classes/interfaces inherited from interface org.infoml.jaxb.RichPointerType
`RichPointerType.P, RichPointerType.Poem, RichPointerType.Quotation, RichPointerType.Table`

Field Summary
`protected boolean` | `_AdjacentToPrevious`
`protected java.lang.String` | `_Name`
`protected com.sun.xml.bind.util.ListImpl` | `_POrQuotationOrPoem`
`protected java.lang.String` | `_PreviousCurrentSeparator`
`protected java.lang.String` | `_Qualities`
`protected boolean` | `_SameParaAsPrevious`
`protected java.lang.String` | `_TargetId`
`protected boolean` | `has_AdjacentToPrevious`
`protected boolean` | `has_SameParaAsPrevious`
`static java.lang.Class` | `version`

Constructor Summary
`RichPointerTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getPOrQuotationOrPoem()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getName()` Gets the value of the name property.
`java.util.List` | `getPOrQuotationOrPoem()` Gets the value of the POrQuotationOrPoem property.
`java.lang.String` | `getPreviousCurrentSeparator()` Gets the value of the previousCurrentSeparator property.
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.String` | `getQualities()` Gets the value of the qualities property.
`java.lang.String` | `getTargetId()` Gets the value of the targetId property.
`boolean` | `isAdjacentToPrevious()` Gets the value of the adjacentToPrevious property.
`boolean` | `isSameParaAsPrevious()` Gets the value of the sameParaAsPrevious property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setAdjacentToPrevious(boolean value)` Sets the value of the adjacentToPrevious property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setPreviousCurrentSeparator(java.lang.String value)` Sets the value of the previousCurrentSeparator property.
`void` | `setQualities(java.lang.String value)` Sets the value of the qualities property.
`void` | `setSameParaAsPrevious(boolean value)` Sets the value of the sameParaAsPrevious property.
`void` | `setTargetId(java.lang.String value)` Sets the value of the targetId property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Name

    protected java.lang.String _Name

### _Qualities

    protected java.lang.String _Qualities

### has_AdjacentToPrevious

    protected boolean has_AdjacentToPrevious

### _AdjacentToPrevious

    protected boolean _AdjacentToPrevious

### _PreviousCurrentSeparator

    protected java.lang.String _PreviousCurrentSeparator

### _POrQuotationOrPoem

    protected com.sun.xml.bind.util.ListImpl _POrQuotationOrPoem

### has_SameParaAsPrevious

    protected boolean has_SameParaAsPrevious

### _SameParaAsPrevious

    protected boolean _SameParaAsPrevious

### _TargetId

    protected java.lang.String _TargetId

### version

    public static final java.lang.Class version

Constructor Detail

### RichPointerTypeImpl

    public RichPointerTypeImpl()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `RichPointerType`
  Gets the value of the name property.

  Specified by:
    `getName` in interface `RichPointerType`
  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Description copied from interface: `RichPointerType`
  Sets the value of the name property.

  Specified by:
    `setName` in interface `RichPointerType`
  Parameters:
    `value` - allowed object is `String`

### getQualities

    public java.lang.String getQualities()

  Description copied from interface: `RichPointerType`
  Gets the value of the qualities property.

  Specified by:
    `getQualities` in interface `RichPointerType`
  Returns:
    possible object is `String`

### setQualities

    public void setQualities(java.lang.String value)

  Description copied from interface: `RichPointerType`
  Sets the value of the qualities property.

  Specified by:
    `setQualities` in interface `RichPointerType`
  Parameters:
    `value` - allowed object is `String`

### isAdjacentToPrevious

    public boolean isAdjacentToPrevious()

  Description copied from interface: `RichPointerType`
  Gets the value of the adjacentToPrevious property.

  Specified by:
    `isAdjacentToPrevious` in interface `RichPointerType`

### setAdjacentToPrevious

    public void setAdjacentToPrevious(boolean value)

  Description copied from interface: `RichPointerType`
  Sets the value of the adjacentToPrevious property.

  Specified by:
    `setAdjacentToPrevious` in interface `RichPointerType`

### getPreviousCurrentSeparator

    public java.lang.String getPreviousCurrentSeparator()

  Description copied from interface: `RichPointerType`
  Gets the value of the previousCurrentSeparator property.

  Specified by:
    `getPreviousCurrentSeparator` in interface `RichPointerType`
  Returns:
    possible object is `String`

### setPreviousCurrentSeparator

    public void setPreviousCurrentSeparator(java.lang.String value)

  Description copied from interface: `RichPointerType`
  Sets the value of the previousCurrentSeparator property.

  Specified by:
    `setPreviousCurrentSeparator` in interface `RichPointerType`
  Parameters:
    `value` - allowed object is `String`

### _getPOrQuotationOrPoem

    protected com.sun.xml.bind.util.ListImpl _getPOrQuotationOrPoem()

### getPOrQuotationOrPoem

    public java.util.List getPOrQuotationOrPoem()

  Description copied from interface: `RichPointerType`
  Gets the value of the POrQuotationOrPoem property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the POrQuotationOrPoem property.

  For example, to add a new item, do as follows:

          getPOrQuotationOrPoem().add(newItem);

  Objects of the following type(s) are allowed in the list `RichPointerType.P` `RichPointerType.Table` `RichPointerType.Quotation` `RichPointerType.Poem`

  Specified by:
    `getPOrQuotationOrPoem` in interface `RichPointerType`

### isSameParaAsPrevious

    public boolean isSameParaAsPrevious()

  Description copied from interface: `RichPointerType`
  Gets the value of the sameParaAsPrevious property.

  Specified by:
    `isSameParaAsPrevious` in interface `RichPointerType`

### setSameParaAsPrevious

    public void setSameParaAsPrevious(boolean value)

  Description copied from interface: `RichPointerType`
  Sets the value of the sameParaAsPrevious property.

  Specified by:
    `setSameParaAsPrevious` in interface `RichPointerType`

### getTargetId

    public java.lang.String getTargetId()

  Description copied from interface: `RichPointerType`
  Gets the value of the targetId property.

  Specified by:
    `getTargetId` in interface `RichPointerType`
  Returns:
    possible object is `String`

### setTargetId

    public void setTargetId(java.lang.String value)

  Description copied from interface: `RichPointerType`
  Sets the value of the targetId property.

  Specified by:
    `setTargetId` in interface `RichPointerType`
  Parameters:
    `value` - allowed object is `String`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD